Opened 4 months ago

Closed 4 months ago

#1806 closed defect (fixed)

New Set of Map files causing server segmentation fault

Reported by: balq60@… Owned by:
Priority: minor Milestone:
Component: other Version: 1.14.x
Keywords: Cc:
uname -a: Linux ip-10-225-13-152 4.15.0-1043-aws #45-Ubuntu SMP Mon Jun 24 14:07:03 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
nginx -V: nginx version: nginx/1.14.0 (Ubuntu) built with OpenSSL 1.1.0g 2 Nov 2017 TLS SNI support enabled configure arguments: --with-cc-opt='-g -O2 -fdebug-prefix-map=/build/nginx-FIJPpj/nginx-1.14.0=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -Wdate-time -D_FORTIFY_SOURCE=2' --with-ld-opt='-Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-z,now -fPIC' --prefix=/usr/share/nginx --conf-path=/etc/nginx/nginx.conf --http-log-path=/var/log/nginx/access.log --error-log-path=/var/log/nginx/error.log --lock-path=/var/lock/nginx.lock --pid-path=/run/nginx.pid --modules-path=/usr/lib/nginx/modules --http-client-body-temp-path=/var/lib/nginx/body --http-fastcgi-temp-path=/var/lib/nginx/fastcgi --http-proxy-temp-path=/var/lib/nginx/proxy --http-scgi-temp-path=/var/lib/nginx/scgi --http-uwsgi-temp-path=/var/lib/nginx/uwsgi --with-debug --with-pcre-jit --with-http_ssl_module --with-http_stub_status_module --with-http_realip_module --with-http_auth_request_module --with-http_v2_module --with-http_dav_module --with-http_slice_module --with-threads --with-http_addition_module --with-http_geoip_module=dynamic --with-http_gunzip_module --with-http_gzip_static_module --with-http_image_filter_module=dynamic --with-http_sub_module --with-http_xslt_module=dynamic --with-stream=dynamic --with-stream_ssl_module --with-mail=dynamic --with-mail_ssl_module

Description

I have some 40 NGINX servers running, working just fine. I am trying to add 2 more. These .map file are causing a server segmentation fault. I have the debug and the .map files attached and the .conf file. I create my .conf and my .map files via a repeatable process using a powershell script.

I have tried this 1.15 as well same result.

Again I have 40 other installs with .map files working just fine. There is something with these map files that is causing the issue.

Attachments (4)

error.log (8.8 KB) - added by balq60@… 4 months ago.
error log
nginxzipfiles.zip (37.1 KB) - added by balq60@… 4 months ago.
configuration file and map files
en-ca-no-qs-301.zip (15.7 KB) - added by balq60@… 4 months ago.
The .map file that fails on 1.17.0 run.
nginx.conf (6.3 KB) - added by balq60@… 4 months ago.
Here is my vanilla configuration that works on 30+ other implementations

Download all attachments as: .zip

Change History (16)

Changed 4 months ago by balq60@…

error log

Changed 4 months ago by balq60@…

configuration file and map files

comment:1 Changed 4 months ago by balq60@…

I have recently been playing with adding larger values for a number of size parameters, none of which have made a difference...so some of the large values you will see in my .conf file are not what I normally have set. I have even created random map files using excel of the same number of rows as these map file and they work fine. I have much larger map files than this that work fine.

comment:2 Changed 4 months ago by balq60@…

Same problem on 1.17.0

comment:3 Changed 4 months ago by balq60@…

nginx version: nginx/1.17.0 (Ubuntu)
built by gcc 7.4.0 (Ubuntu 7.4.0-1ubuntu1~18.04.1)
built with OpenSSL 1.1.0h 27 Mar 2018
TLS SNI support enabled
configure arguments: --prefix=/etc/nginx --sbin-path=/usr/sbin/nginx --modules-path=/usr/lib/nginx/modules --conf-path=/etc/nginx/nginx.conf --error-log-path=/var/log/nginx/error.log --pid-path=/var/run/nginx.pid --lock-path=/var/run/nginx.lock --user=nginx --group=nginx --build=Ubuntu --builddir=nginx-1.17.0 --with-select_module --with-poll_module --with-threads --with-file-aio --with-http_ssl_module --with-http_v2_module --with-http_realip_module --with-http_addition_module --with-http_xslt_module=dynamic --with-http_image_filter_module=dynamic --with-http_geoip_module=dynamic --with-http_sub_module --with-http_dav_module --with-http_flv_module --with-http_mp4_module --with-http_gunzip_module --with-http_gzip_static_module --with-http_auth_request_module --with-http_random_index_module --with-http_secure_link_module --with-http_degradation_module --with-http_slice_module --with-http_stub_status_module --with-http_perl_module=dynamic --with-perl_modules_path=/usr/share/perl/5.26.1 --with-perl=/usr/bin/perl --http-log-path=/var/log/nginx/access.log --http-client-body-temp-path=/var/cache/nginx/client_temp --http-proxy-temp-path=/var/cache/nginx/proxy_temp --http-fastcgi-temp-path=/var/cache/nginx/fastcgi_temp --http-uwsgi-temp-path=/var/cache/nginx/uwsgi_temp --http-scgi-temp-path=/var/cache/nginx/scgi_temp --with-mail=dynamic --with-mail_ssl_module --with-stream=dynamic --with-stream_ssl_module --with-stream_realip_module --with-stream_geoip_module=dynamic --with-stream_ssl_preread_module --with-compat --with-pcre=../pcre-8.42 --with-pcre-jit --with-zlib=../zlib-1.2.11 --with-openssl=../openssl-1.1.0h --with-openssl-opt=no-nextprotoneg --with-debug

comment:4 Changed 4 months ago by balq60@…

Here is the log from 1.17 version

2019/07/09 15:46:33 [notice] 19210#19210: signal 1 (SIGHUP) received from 19250, reconfiguring
2019/07/09 15:46:33 [debug] 19210#19210: wake up, sigio 0
2019/07/09 15:46:33 [notice] 19210#19210: reconfiguring
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19659E0:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19B5090:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1955080:4096
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19714B0:7181
2019/07/09 15:46:33 [debug] 19210#19210: read: 21, 000055E7F1955080, 4096, 0
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/modules-enabled/*.conf
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19730D0:4280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19B90A0:4280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19BA160:4280
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19BB220:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19BF230:4280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19C02F0:4280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19C13B0:4280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19C2470:4096
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19C3480:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: add cleanup: 000055E7F19C4270
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/mime.types
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/mime.types
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19C7490:4096
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19C84A0:5231
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7490, 4096, 0
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19C9920:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19CD930:4096
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7491, 1135, 4096
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/conf.d/*.conf
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-enabled/*
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19CE940:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19E1050:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1A61060:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1AE1070:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1B61080:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1BC2C20:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C247C0:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C94CE0:400280
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/nolocale-301.map
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/nolocale-301.map
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19C7490:4096
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C94CE0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C247C0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1BC2C20
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1B61080
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1AE1070
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1A61060
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19E1050
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19CE940, unused: 16130
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19CE940:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19E1050:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1A61060:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1AE1070:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1B61080:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1BC2C20:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C247C0:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C94CE0:400280
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/nolocale-no-qs-301.map
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/nolocale-no-qs-301.map
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19C7490:4096
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7490, 2384, 0
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1CF6880:20971520
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C94CE0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C247C0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1BC2C20
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1B61080
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1AE1070
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1A61060
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19E1050
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19CE940, unused: 11144
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19CE940:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19E1050:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1A61060:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1AE1070:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1B61080:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1BC2C20:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C247C0:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C94CE0:400280
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/nolocale-302.map
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/nolocale-302.map
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19C7490:4096
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C94CE0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C247C0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1BC2C20
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1B61080
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1AE1070
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1A61060
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19E1050
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19CE940, unused: 16130
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19CE940:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19E1050:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1A61060:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1AE1070:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1B61080:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1BC2C20:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C247C0:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C94CE0:400280
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/nolocale-no-qs-302.map
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/nolocale-no-qs-302.map
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19C7490:4096
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C94CE0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C247C0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1BC2C20
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1B61080
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1AE1070
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1A61060
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19E1050
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19CE940, unused: 16124
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19CE940:8192
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19D0950:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19E1050:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1A61060:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1AE1070:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1B61080:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1BC2C20:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C247C0:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C94CE0:400280
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/en-us-301.map
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/en-us-301.map
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19C7490:4096
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7490, 1399, 0
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1CF6880:20971520
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C94CE0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C247C0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1BC2C20
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1B61080
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1AE1070
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1A61060
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19E1050
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19D0950, unused: 13768
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19D0950:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19E1050:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1A61060:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1AE1070:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1B61080:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1BC2C20:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C247C0:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C94CE0:400280
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/en-us-no-qs-301.map
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/en-us-no-qs-301.map
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19C7490:4096
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C94CE0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C247C0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1BC2C20
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1B61080
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1AE1070
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1A61060
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19E1050
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19D0950, unused: 16127
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19D0950:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19E1050:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1A61060:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1AE1070:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1B61080:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1BC2C20:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C247C0:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C94CE0:400280
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/en-us-302.map
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/en-us-302.map
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19C7490:4096
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C94CE0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C247C0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1BC2C20
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1B61080
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1AE1070
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1A61060
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19E1050
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19D0950, unused: 16133
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19D0950:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19D4960:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19E1050:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1A61060:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1AE1070:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1B61080:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1BC2C20:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C247C0:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C94CE0:400280
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/en-us-no-qs-302.map
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/en-us-no-qs-302.map
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19C7490:4096
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C94CE0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C247C0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1BC2C20
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1B61080
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1AE1070
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1A61060
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19E1050
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19D4960, unused: 16127
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19D4960:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19E1050:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1A61060:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1AE1070:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1B61080:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1BC2C20:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C247C0:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C94CE0:400280
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/en-ca-301.map
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/en-ca-301.map
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19C7490:4096
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7490, 1399, 0
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1CF6880:20971520
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C94CE0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C247C0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1BC2C20
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1B61080
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1AE1070
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1A61060
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19E1050
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19D4960, unused: 13704
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19D4960:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19E1050:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1A61060:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1AE1070:524288
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1B61080:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1BC2C20:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C247C0:400280
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C94CE0:400280
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/en-ca-no-qs-301.map
2019/07/09 15:46:33 [debug] 19210#19210: include /etc/nginx/sites-available/en-ca-no-qs-301.map
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F19C7490:4096
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1CF6880:295023
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7490, 4096, 0
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74A2, 4078, 4096
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74BE, 4050, 8174
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F19D8970:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74D9, 4023, 12224
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74A3, 4077, 16247
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74B2, 4062, 20324
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1C86360:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C749F, 4081, 24386
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74D7, 4025, 28467
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1C8A370:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C749F, 4081, 32492
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C749A, 4086, 36573
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74CA, 4038, 40659
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D3E900:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C749D, 4083, 44697
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74C1, 4047, 48780
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74C9, 4039, 52827
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D42910:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C749B, 4085, 56866
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74A3, 4077, 60951
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D46920:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7491, 4095, 65028
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7495, 4091, 69123
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74D7, 4025, 73214
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D4A930:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74C8, 4040, 77239
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7491, 4095, 81279
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74D9, 4023, 85374
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D4E940:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74AD, 4067, 89397
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74AA, 4070, 93464
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D52950:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74AB, 4069, 97534
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74AD, 4067, 101603
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7496, 4090, 105670
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D56960:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7490, 4096, 109760
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74D9, 4023, 113856
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74D1, 4031, 117879
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D5A970:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74A3, 4077, 121910
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74D9, 4023, 125987
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D5E980:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74A5, 4075, 130010
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74BF, 4049, 134085
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C749E, 4082, 138134
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D62990:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74D0, 4032, 142216
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74BA, 4054, 146248
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74B4, 4060, 150302
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D669A0:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C749D, 4083, 154362
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74A0, 4080, 158445
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D6A9B0:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74A2, 4078, 162525
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C749F, 4081, 166603
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74AE, 4066, 170684
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D6E9C0:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74AF, 4065, 174750
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74CA, 4038, 178815
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D729D0:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C749A, 4086, 182853
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74A0, 4080, 186939
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74A3, 4077, 191019
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D769E0:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74AD, 4067, 195096
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D7A9F0:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74AB, 4069, 199163
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74B8, 4056, 203232
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D7EA00:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74E6, 4010, 207288
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74D9, 4023, 211298
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74D1, 4031, 215321
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D82A10:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74B4, 4060, 219352
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74BA, 4054, 223412
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D86A20:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7498, 4088, 227466
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74A1, 4079, 231554
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C749A, 4086, 235633
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D8AA30:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74C1, 4047, 239719
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7491, 4095, 243766
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7498, 4088, 247861
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D8EA40:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74C4, 4044, 251949
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74D1, 4031, 255993
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D92A50:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74AC, 4068, 260024
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74B6, 4058, 264092
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7492, 4094, 268150
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D96A60:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74C3, 4045, 272244
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74BD, 4051, 276289
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C749A, 4086, 280340
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D9AA70:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C7496, 4090, 284426
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74CB, 4037, 288516
2019/07/09 15:46:33 [debug] 19210#19210: read: 22, 000055E7F19C74AB, 2470, 292553
2019/07/09 15:46:33 [debug] 19210#19210: posix_memalign: 000055E7F1D9EA80:16384 @16
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1DA2A90:20971520
2019/07/09 15:46:33 [debug] 19210#19210: malloc: 000055E7F1C8E380:9472
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C94CE0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C247C0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1BC2C20
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1B61080
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1AE1070
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1A61060
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19E1050
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19D4960, unused: 24
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F19D8970, unused: 4
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C86360, unused: 4
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1C8A370, unused: 5
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D3E900, unused: 0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D42910, unused: 24
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D46920, unused: 30
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D4A930, unused: 1
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D4E940, unused: 29
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D52950, unused: 5
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D56960, unused: 23
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D5A970, unused: 0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D5E980, unused: 0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D62990, unused: 22
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D669A0, unused: 19
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D6A9B0, unused: 2
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D6E9C0, unused: 0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D729D0, unused: 27
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D769E0, unused: 0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D7EA00, unused: 15
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D82A10, unused: 0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D86A20, unused: 0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D8AA30, unused: 18
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D8EA40, unused: 23
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D92A50, unused: 4
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D96A60, unused: 8
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D9AA70, unused: 0
2019/07/09 15:46:33 [debug] 19210#19210: free: 000055E7F1D9EA80, unused: 13200
munmap_chunk(): invalid pointer
2019/07/09 15:46:33 [notice] 19214#19214: signal 15 (SIGTERM) received from 1, exiting
2019/07/09 15:46:33 [notice] 19213#19213: signal 15 (SIGTERM) received from 1, exiting
2019/07/09 15:46:33 [notice] 19216#19216: signal 15 (SIGTERM) received from 1, exiting
2019/07/09 15:46:33 [info] 19214#19214: epoll_wait() failed (4: Interrupted system call)
2019/07/09 15:46:33 [debug] 19214#19214: timer delta: 55300
2019/07/09 15:46:33 [notice] 19214#19214: exiting
2019/07/09 15:46:33 [notice] 19217#19217: signal 15 (SIGTERM) received from 1, exiting
2019/07/09 15:46:33 [debug] 19214#19214: flush files
2019/07/09 15:46:33 [notice] 19219#19219: signal 15 (SIGTERM) received from 1, exiting
2019/07/09 15:46:33 [info] 19213#19213: epoll_wait() failed (4: Interrupted system call)
2019/07/09 15:46:33 [info] 19216#19216: epoll_wait() failed (4: Interrupted system call)
2019/07/09 15:46:33 [debug] 19214#19214: run cleanup: 000055E7F19AF460
2019/07/09 15:46:33 [debug] 19213#19213: timer delta: 55300
2019/07/09 15:46:33 [debug] 19216#19216: timer delta: 55300
2019/07/09 15:46:33 [debug] 19214#19214: run cleanup: 000055E7F19AC358
2019/07/09 15:46:33 [notice] 19213#19213: exiting
2019/07/09 15:46:33 [info] 19217#19217: epoll_wait() failed (4: Interrupted system call)
2019/07/09 15:46:33 [notice] 19216#19216: exiting
2019/07/09 15:46:33 [debug] 19214#19214: cleanup resolver
2019/07/09 15:46:33 [debug] 19213#19213: flush files
2019/07/09 15:46:33 [info] 19219#19219: epoll_wait() failed (4: Interrupted system call)
2019/07/09 15:46:33 [debug] 19217#19217: timer delta: 55300
2019/07/09 15:46:33 [debug] 19216#19216: flush files
2019/07/09 15:46:33 [debug] 19214#19214: run cleanup: 000055E7F197A500
2019/07/09 15:46:33 [debug] 19213#19213: run cleanup: 000055E7F19AF460
2019/07/09 15:46:33 [debug] 19219#19219: timer delta: 55300
2019/07/09 15:46:33 [notice] 19217#19217: exiting
2019/07/09 15:46:33 [debug] 19216#19216: run cleanup: 000055E7F19AF460
2019/07/09 15:46:33 [debug] 19214#19214: open file cache cleanup
2019/07/09 15:46:33 [notice] 19220#19220: signal 15 (SIGTERM) received from 1, exiting
2019/07/09 15:46:33 [debug] 19213#19213: run cleanup: 000055E7F19AC358
2019/07/09 15:46:33 [notice] 19219#19219: exiting
2019/07/09 15:46:33 [debug] 19217#19217: flush files
2019/07/09 15:46:33 [debug] 19216#19216: run cleanup: 000055E7F19AC358
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F19B3240
2019/07/09 15:46:33 [debug] 19213#19213: cleanup resolver
2019/07/09 15:46:33 [debug] 19219#19219: flush files
2019/07/09 15:46:33 [debug] 19213#19213: run cleanup: 000055E7F197A500
2019/07/09 15:46:33 [debug] 19217#19217: run cleanup: 000055E7F19AF460
2019/07/09 15:46:33 [debug] 19216#19216: cleanup resolver
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F19B1EC0
2019/07/09 15:46:33 [debug] 19219#19219: run cleanup: 000055E7F19AF460
2019/07/09 15:46:33 [debug] 19213#19213: open file cache cleanup
2019/07/09 15:46:33 [debug] 19217#19217: run cleanup: 000055E7F19AC358
2019/07/09 15:46:33 [info] 19220#19220: epoll_wait() failed (4: Interrupted system call)
2019/07/09 15:46:33 [debug] 19216#19216: run cleanup: 000055E7F197A500
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F19DFEC0
2019/07/09 15:46:33 [debug] 19219#19219: run cleanup: 000055E7F19AC358
2019/07/09 15:46:33 [debug] 19217#19217: cleanup resolver
2019/07/09 15:46:33 [debug] 19220#19220: timer delta: 55300
2019/07/09 15:46:33 [debug] 19216#19216: open file cache cleanup
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F1983E00
2019/07/09 15:46:33 [debug] 19219#19219: cleanup resolver
2019/07/09 15:46:33 [debug] 19217#19217: run cleanup: 000055E7F197A500
2019/07/09 15:46:33 [notice] 19220#19220: exiting
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F19B3240
2019/07/09 15:46:33 [debug] 19220#19220: flush files
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F1982DF0
2019/07/09 15:46:33 [debug] 19219#19219: run cleanup: 000055E7F197A500
2019/07/09 15:46:33 [debug] 19217#19217: open file cache cleanup
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F19B1EC0
2019/07/09 15:46:33 [debug] 19220#19220: run cleanup: 000055E7F19AF460
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F197D960
2019/07/09 15:46:33 [debug] 19219#19219: open file cache cleanup
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F19B3240
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F19DFEC0
2019/07/09 15:46:33 [debug] 19220#19220: run cleanup: 000055E7F19AC358
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F1977930
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F19B1EC0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F1983E00
2019/07/09 15:46:33 [debug] 19220#19220: cleanup resolver
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F1976870
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F19DFEC0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F1982DF0
2019/07/09 15:46:33 [debug] 19220#19220: run cleanup: 000055E7F197A500
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F19757B0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F1983E00
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F197D960
2019/07/09 15:46:33 [debug] 19220#19220: open file cache cleanup
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F19746F0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F1982DF0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F1977930
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F19B3240
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F19699F0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F197D960
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F1976870
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F19B1EC0
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F19619D0, unused: 0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F1977930
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F19757B0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F19DFEC0
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F196D4A0, unused: 1
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F1976870
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F19746F0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F1983E00
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F19B3240
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F1978940, unused: 1
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F19757B0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F19699F0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F1982DF0
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F19B1EC0
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F197EDE0, unused: 0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F19746F0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F19619D0, unused: 0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F197D960
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F19DFEC0
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F1C90CD0, unused: 0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F19699F0
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F1985E10, unused: 0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F196D4A0, unused: 1
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F1977930
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F1983E00
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F19619D0, unused: 0
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F1989E20, unused: 0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F1978940, unused: 1
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F1976870
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F1982DF0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F196D4A0, unused: 1
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F198DE30, unused: 0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F197EDE0, unused: 0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F19757B0
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F197D960
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F1978940, unused: 1
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F1991E40, unused: 0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F1C90CD0, unused: 0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F19746F0
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F1977930
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F197EDE0, unused: 0
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F1995E50, unused: 0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F1985E10, unused: 0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F19699F0
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F1976870
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F1C90CD0, unused: 0
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F1999E60, unused: 0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F1989E20, unused: 0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F19619D0, unused: 0
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F19757B0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F1985E10, unused: 0
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F199DE70, unused: 0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F198DE30, unused: 0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F196D4A0, unused: 1
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F19746F0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F1989E20, unused: 0
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F19A1E80, unused: 0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F1991E40, unused: 0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F1978940, unused: 1
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F19699F0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F198DE30, unused: 0
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F19A5E90, unused: 0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F1991E40, unused: 0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F19B3240
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F1995E50, unused: 0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F197EDE0, unused: 0
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F19619D0, unused: 0
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F19A9EA0, unused: 0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F1995E50, unused: 0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F19B1EC0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F1999E60, unused: 0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F1C90CD0, unused: 0
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F196D4A0, unused: 1
2019/07/09 15:46:33 [debug] 19214#19214: free: 000055E7F19ADEB0, unused: 10808
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F1999E60, unused: 0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F19DFEC0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F199DE70, unused: 0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F1985E10, unused: 0
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F1978940, unused: 1
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F199DE70, unused: 0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F1983E00
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F19A1E80, unused: 0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F1989E20, unused: 0
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F197EDE0, unused: 0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F19A1E80, unused: 0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F1982DF0
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F19A5E90, unused: 0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F198DE30, unused: 0
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F1C90CD0, unused: 0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F19A5E90, unused: 0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F197D960
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F19A9EA0, unused: 0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F1991E40, unused: 0
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F1985E10, unused: 0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F19A9EA0, unused: 0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F1977930
2019/07/09 15:46:33 [debug] 19216#19216: free: 000055E7F19ADEB0, unused: 10808
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F1995E50, unused: 0
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F1989E20, unused: 0
2019/07/09 15:46:33 [debug] 19217#19217: free: 000055E7F19ADEB0, unused: 10808
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F1976870
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F1999E60, unused: 0
2019/07/09 15:46:33 [notice] 19222#19222: signal 15 (SIGTERM) received from 1, exiting
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F198DE30, unused: 0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F19757B0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F199DE70, unused: 0
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F1991E40, unused: 0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F19746F0
2019/07/09 15:46:33 [notice] 19214#19214: exit
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F19A1E80, unused: 0
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F1995E50, unused: 0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F19699F0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F19A5E90, unused: 0
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F1999E60, unused: 0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F19619D0, unused: 0
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F19A9EA0, unused: 0
2019/07/09 15:46:33 [info] 19222#19222: epoll_wait() failed (4: Interrupted system call)
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F199DE70, unused: 0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F196D4A0, unused: 1
2019/07/09 15:46:33 [debug] 19220#19220: free: 000055E7F19ADEB0, unused: 10808
2019/07/09 15:46:33 [debug] 19222#19222: timer delta: 55296
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F19A1E80, unused: 0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F1978940, unused: 1
2019/07/09 15:46:33 [notice] 19222#19222: exiting
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F19A5E90, unused: 0
2019/07/09 15:46:33 [notice] 19216#19216: exit
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F197EDE0, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: flush files
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F19A9EA0, unused: 0
2019/07/09 15:46:33 [notice] 19217#19217: exit
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F1C90CD0, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: run cleanup: 000055E7F19AF460
2019/07/09 15:46:33 [debug] 19219#19219: free: 000055E7F19ADEB0, unused: 10808
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F1985E10, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: run cleanup: 000055E7F19AC358
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F1989E20, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: cleanup resolver
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F198DE30, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: run cleanup: 000055E7F197A500
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F1991E40, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: open file cache cleanup
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F1995E50, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F19B3240
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F1999E60, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F19B1EC0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F199DE70, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F19DFEC0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F19A1E80, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F1983E00
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F19A5E90, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F1982DF0
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F19A9EA0, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F197D960
2019/07/09 15:46:33 [debug] 19213#19213: free: 000055E7F19ADEB0, unused: 10808
2019/07/09 15:46:33 [notice] 19220#19220: exit
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F1977930
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F1976870
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F19757B0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F19746F0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F19699F0
2019/07/09 15:46:33 [notice] 19219#19219: exit
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F19619D0, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F196D4A0, unused: 1
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F1978940, unused: 1
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F197EDE0, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F1C90CD0, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F1985E10, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F1989E20, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F198DE30, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F1991E40, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F1995E50, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F1999E60, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F199DE70, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F19A1E80, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F19A5E90, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F19A9EA0, unused: 0
2019/07/09 15:46:33 [debug] 19222#19222: free: 000055E7F19ADEB0, unused: 10808
2019/07/09 15:46:33 [notice] 19213#19213: exit
2019/07/09 15:46:33 [notice] 19222#19222: exit
2019/07/09 15:46:33 [notice] 19224#19224: signal 15 (SIGTERM) received from 1, exiting
2019/07/09 15:46:33 [info] 19224#19224: epoll_wait() failed (4: Interrupted system call)
2019/07/09 15:46:33 [debug] 19224#19224: timer delta: 55304
2019/07/09 15:46:33 [notice] 19224#19224: exiting
2019/07/09 15:46:33 [debug] 19224#19224: flush files
2019/07/09 15:46:33 [debug] 19224#19224: run cleanup: 000055E7F19AF460
2019/07/09 15:46:33 [debug] 19224#19224: run cleanup: 000055E7F19AC358
2019/07/09 15:46:33 [debug] 19224#19224: cleanup resolver
2019/07/09 15:46:33 [debug] 19224#19224: run cleanup: 000055E7F197A500
2019/07/09 15:46:33 [debug] 19224#19224: open file cache cleanup
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F19B3240
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F19B1EC0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F19DFEC0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F1983E00
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F1982DF0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F197D960
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F1977930
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F1976870
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F19757B0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F19746F0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F19699F0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F19619D0, unused: 0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F196D4A0, unused: 1
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F1978940, unused: 1
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F197EDE0, unused: 0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F1C90CD0, unused: 0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F1985E10, unused: 0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F1989E20, unused: 0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F198DE30, unused: 0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F1991E40, unused: 0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F1995E50, unused: 0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F1999E60, unused: 0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F199DE70, unused: 0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F19A1E80, unused: 0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F19A5E90, unused: 0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F19A9EA0, unused: 0
2019/07/09 15:46:33 [debug] 19224#19224: free: 000055E7F19ADEB0, unused: 10808
2019/07/09 15:46:33 [notice] 19224#19224: exit
2019/07/09 15:46:53 [debug] 19269#19269: bind() 0.0.0.0:80 #5
2019/07/09 15:46:53 [debug] 19269#19269: counter: 00007F1536416080, 1

Changed 4 months ago by balq60@…

The .map file that fails on 1.17.0 run.

comment:5 Changed 4 months ago by balq60@…

I get the same failure on Ubuntu 16.4 servers as well.

this was installed via directions found here on an AWS Ubuntu 16.4 server:

https://www.digitalocean.com/community/tutorials/how-to-install-nginx-on-ubuntu-16-04

nginx version: nginx/1.10.3 (Ubuntu)
built with OpenSSL 1.0.2g 1 Mar 2016
TLS SNI support enabled
configure arguments: --with-cc-opt='-g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2' --with-ld-opt='-Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now' --prefix=/usr/share/nginx --conf-path=/etc/nginx/nginx.conf --http-log-path=/var/log/nginx/access.log --error-log-path=/var/log/nginx/error.log --lock-path=/var/lock/nginx.lock --pid-path=/run/nginx.pid --http-client-body-temp-path=/var/lib/nginx/body --http-fastcgi-temp-path=/var/lib/nginx/fastcgi --http-proxy-temp-path=/var/lib/nginx/proxy --http-scgi-temp-path=/var/lib/nginx/scgi --http-uwsgi-temp-path=/var/lib/nginx/uwsgi --with-debug --with-pcre-jit --with-ipv6 --with-http_ssl_module --with-http_stub_status_module --with-http_realip_module --with-http_auth_request_module --with-http_addition_module --with-http_dav_module --with-http_geoip_module --with-http_gunzip_module --with-http_gzip_static_module --with-http_image_filter_module --with-http_v2_module --with-http_sub_module --with-http_xslt_module --with-stream --with-stream_ssl_module --with-mail --with-mail_ssl_module --with-threads

comment:6 Changed 4 months ago by mdounin

  • Status changed from new to accepted

The problem is

    map_hash_bucket_size 10485760;

in your configuration. Bucket sizes are expected to be small, and nginx uses u_short type to store resulting bucket sizes when constructing hash. Using bucket_size larger than 64k and large enough map results in overflows of these values, followed by allocation of too small buffer for the bucket, writing outside of the allocated buffer and segmentation faults.

Trivial workaround is to use reasonable map_hash_bucket_size - several cache line sizes - instead of configuring very large value (which will, in addition to the above problem, degrade performance, see docs).

Changed 4 months ago by balq60@…

Here is my vanilla configuration that works on 30+ other implementations

comment:7 Changed 4 months ago by balq60@…

I have added my vanilla configuration that works on 30+ other implementations. I had added a number of new configuration values, trying to get around the issue.

comment:8 Changed 4 months ago by balq60@…

The link you provided mentions nothing about max sizes...

No max size mention here: http://nginx.org/en/docs/hash.html
No max size mention here: http://nginx.org/en/docs/http/ngx_http_core_module.html#server_names_hash_max_size
No max size mention here: http://nginx.org/en/docs/http/ngx_http_core_module.html#server_names_hash_bucket_size

It's a circular reference between the 3 with no max size that I can see.

But I set my vanilla to 32K and site service started up.

Thanks!

-Bernie

comment:9 Changed 4 months ago by balq60@…

This can be closed.

comment:10 Changed 4 months ago by mdounin

The following patch introduces appropriate checks during configuration parsing to prevent segmentation faults with such huge bucket sizes.

# HG changeset patch
# User Maxim Dounin <mdounin@mdounin.ru>
# Date 1562774127 -10800
#      Wed Jul 10 18:55:27 2019 +0300
# Node ID b8cb98db00a542bbb0857fb64fc95498f555bb03
# Parent  97ce2512373d7278f765f587d4cf087065a55e7c
Core: fixed segfault with too large bucket sizes (ticket #1806).

To save memory hash code uses u_short to store resulting bucket sizes,
so maximum bucket size is limited to 65536 minus ngx_cacheline_size (larger
values will be aligned to 65536 which will overflow u_short).  However,
there were no checks to enforce this, and using larger bucket sizes
resulted in overflows and segmentation faults.

Appropriate safety checks to enforce this added to ngx_hash_init().

diff --git a/src/core/ngx_hash.c b/src/core/ngx_hash.c
--- a/src/core/ngx_hash.c
+++ b/src/core/ngx_hash.c
@@ -265,6 +265,14 @@ ngx_hash_init(ngx_hash_init_t *hinit, ng
         return NGX_ERROR;
     }
 
+    if (hinit->bucket_size > 65536 - ngx_cacheline_size) {
+        ngx_log_error(NGX_LOG_EMERG, hinit->pool->log, 0,
+                      "could not build %s, too large "
+                      "%s_bucket_size: %i",
+                      hinit->name, hinit->name, hinit->bucket_size);
+        return NGX_ERROR;
+    }
+
     for (n = 0; n < nelts; n++) {
         if (hinit->bucket_size < NGX_HASH_ELT_SIZE(&names[n]) + sizeof(void *))
         {
@@ -300,17 +308,19 @@ ngx_hash_init(ngx_hash_init_t *hinit, ng
             }
 
             key = names[n].key_hash % size;
-            test[key] = (u_short) (test[key] + NGX_HASH_ELT_SIZE(&names[n]));
+            len = test[key] + NGX_HASH_ELT_SIZE(&names[n]);
 
 #if 0
             ngx_log_error(NGX_LOG_ALERT, hinit->pool->log, 0,
-                          "%ui: %ui %ui \"%V\"",
-                          size, key, test[key], &names[n].key);
+                          "%ui: %ui %uz \"%V\"",
+                          size, key, len, &names[n].key);
 #endif
 
-            if (test[key] > (u_short) bucket_size) {
+            if (len > bucket_size) {
                 goto next;
             }
+
+            test[key] = (u_short) len;
         }
 
         goto found;
@@ -341,7 +351,17 @@ found:
         }
 
         key = names[n].key_hash % size;
-        test[key] = (u_short) (test[key] + NGX_HASH_ELT_SIZE(&names[n]));
+        len = test[key] + NGX_HASH_ELT_SIZE(&names[n]);
+
+        if (len > 65536 - ngx_cacheline_size) {
+            ngx_log_error(NGX_LOG_EMERG, hinit->pool->log, 0,
+                          "could not build %s, you should "
+                          "increase %s_max_size: %i",
+                          hinit->name, hinit->name, hinit->max_size);
+            return NGX_ERROR;
+        }
+
+        test[key] = len;
     }
 
     len = 0;

comment:11 Changed 4 months ago by Maxim Dounin <mdounin@…>

In 7536:c3f60d618c17/nginx:

Core: fixed segfault with too large bucket sizes (ticket #1806).

To save memory hash code uses u_short to store resulting bucket sizes,
so maximum bucket size is limited to 65536 minus ngx_cacheline_size (larger
values will be aligned to 65536 which will overflow u_short). However,
there were no checks to enforce this, and using larger bucket sizes
resulted in overflows and segmentation faults.

Appropriate safety checks to enforce this added to ngx_hash_init().

comment:12 Changed 4 months ago by mdounin

  • Priority changed from blocker to minor
  • Resolution set to fixed
  • Status changed from accepted to closed

Fix committed, thanks for reporting this.

Note: See TracTickets for help on using tickets.